Package ch.qos.logback.core.pattern.util

# Class RegularEscapeUtil

java.lang.Object
ch.qos.logback.core.pattern.util.RegularEscapeUtil

All Implemented Interfaces:
  `IEscapeUtil`

public class RegularEscapeUtil extends Object implements IEscapeUtil
This implementation is intended for use in PatternLayout.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`RegularEscapeUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`basicEscape(String s)`
`void`
`escape(String escapeChars, StringBuffer buf, char next, int pointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegularEscapeUtil

public RegularEscapeUtil()

## Method Details

### escape

public void escape(String escapeChars, StringBuffer buf, char next, int pointer)

Specified by:
  `escape` in interface `IEscapeUtil`

### basicEscape

public static String basicEscape(String s)